vSphere Client/.NET Patch Compatibility Issue Recent MS .NET patches (KB980773) cause any vSphere Client prior to Update 1 to stop working. For a solution, read the KB article linked below. KB 1022611

vSphere Client does not open on any Windows operating systems with the error: parsing the server "<servername>" "clients.xml" file

Resolution

You cannot use vSphere Clients prior to the Update 1 release, to access the vCenter Server or ESX hosts because of a Microsoft update that targets the .NET Framework (980773), released on June 9th 2010.

Perform one of these two options to correct the issue:

  • Download and install the latest version of the vSphere Client.

    To download and install the vSphere Client:

    1. Go the downloads site.

      Note
      : The vSphere Client .exe is part of the ESX, ESXi, or vCenter Server download binaries.

    2. Click Download next to your ESX, ESXi, or vCenter Server edition.

    3. Log in with your VMware Account credentials.

    4. Click Yes to agree to the EULA.

    5. Click the .exe link next to vSphere Client and Host Update Utility.

    6. Follow the on-screen instructions to install the updated vSphere Client.

      OR

  • Remove the MS update from your Windows operating system. The vSphere Client works after the update is removed.

Note: This affects Windows XP, Windows 2003, Windows 2008, Windows Vista, and Windows 7.

http://kb.vmware.com/kb/1022611